Validate API Key
curl --request GET \
--url https://app.lettr.com/api/auth/check \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.lettr.com/api/auth/check"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.lettr.com/api/auth/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "API key is valid.",
"data": {
"team_id": 123,
"timestamp": "2024-01-15T10:30:00.000Z"
}
}System
Auth Check
Validate the provided API key and return associated team information. Use this endpoint to verify API key validity in client libraries.
GET
/
auth
/
check
Validate API Key
Validate your API key and confirm it is active. Returns the team ID associated with the key along with an ISO 8601 timestamp.
Use this endpoint to verify API key validity in client libraries or during initial setup before making other API calls.
Was this page helpful?
⌘I